package com.zy.omp.pojo.io.wechat;

import com.zy.omp.common.Constant;
import lombok.Data;

/**
 * 设置入参
 *
 * @author chen_yi
 * Create on 2021/5/27
 */
@Data
public class SetIO {
    /**
     * 设备名
     */
    private String deviceId;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 1:代表打开连续定位 0:代表关闭连续定位
     * 设备在做后一次收到开启连续定位起计时5分钟后自动关闭连续定位。
     * 如果希望持续开启连续定位，需要间隔小于5分钟重复发送开 启。收到关闭连续定位后设备会马上关闭连续定位
     */
    private Integer highFreq;

    /**
     * 自动接听
     * 0关闭，1打开
     */
    private Integer autoAnswer;

    /**
     * 定位频率
     * 单位 小时
     */
    private Integer gpsRate;

    /**
     * 铃声音量
     */
    private Integer ringVol;

    /**
     * 系统音量
     */
    private Integer msgVol;

    /**
     * 通话音量
     */
    private Integer phoneVol;

    /**
     * 姓名
     */
    private String key0Name;
    /**
     * 电话号码
     */
    private String key0Phone;

    /**
     * 姓名
     */
    private String key1Name;
    /**
     * 电话号码
     */
    private String key1Phone;

    /**
     * 姓名
     */
    private String key2Name;
    /**
     * 电话号码
     */
    private String key2Phone;

    /**
     * 星期几的几点几分播报，星期之间逗号间隔，星期与时间空格间隔
     * 1,2,3,4,5 13:13
     */
    private String newsTime;

    /**
     * 播报类型，1:实时播报，0:固定时间播报
     */
    private Integer newsType;

    /**
     * 服务器下发文字
     */
    private String news;

}
