package com.zy.omp.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.mapper.AdminMapper;
import com.zy.omp.model.Admin;
import org.springframework.stereotype.Service;

/**
 * 管理员 Service
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class AdminService extends ServiceImpl<AdminMapper, Admin> {

    /**
     * 查询用户信息
     *
     * @param content 用户名 或 密码
     */
    public Admin getByUsername(String content) {
        QueryWrapper<Admin> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("username", content);
        return baseMapper.selectOne(queryWrapper);
    }

    public void up(Admin admin) {
        UpdateWrapper<Admin> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("username", admin.getUsername());
        baseMapper.update(admin, updateWrapper);
    }
}
