package com.zy.omp.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.omp.common.exception.ApiRuntimeException;
import com.zy.omp.mapper.DeviceSetMapper;
import com.zy.omp.model.DeviceSet;
import org.springframework.stereotype.Service;

/**
 * 其他设置相关
 *
 * @author chenyi
 * Create on 2020/4/10
 */
@Service
public class DeviceSetService extends ServiceImpl<DeviceSetMapper, DeviceSet> {

    /**
     * 后台
     * 获取全部的设置信息
     *
     * @param openNum 设备ID
     */
    public DeviceSet getByOpenNum(String openNum) {
        QueryWrapper<DeviceSet> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("openNum", openNum);
        return baseMapper.selectOne(queryWrapper);
    }

    /**
     * 获取音量设置信息
     */
    public DeviceSet getVolumeSet(String openNum) {
        QueryWrapper<DeviceSet> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("openNum", "msgVol", "phoneVol", "ringVol");
        queryWrapper.eq("openNum", openNum);
        return baseMapper.selectOne(queryWrapper);
    }

    /**
     * 获取SOS设置信息
     */
    public DeviceSet getSosSet(String openNum) {
        QueryWrapper<DeviceSet> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("openNum", "key0Name", "key0Phone", "key1Name", "key1Phone", "key2Name", "key2Phone");
        queryWrapper.eq("openNum", openNum);
        return baseMapper.selectOne(queryWrapper);
    }

    /**
     * 获取其他设置设置信息
     */
    public DeviceSet getOtherSet(String openNum) {
        QueryWrapper<DeviceSet> queryWrapper = new QueryWrapper<>();
        queryWrapper.select("openNum", "autoAnswer", "gpsRate", "highFreq");
        queryWrapper.eq("openNum", openNum);
        return baseMapper.selectOne(queryWrapper);
    }
}